Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfFontVariantType

    java.lang.Object
      java.lang.Enum<OdfFontVariantType>
          org.odftoolkit.odfdom.dom.type.fo.OdfFontVariantType

All Implemented Interfaces:
  Serializable, Comparable<OdfFontVariantType>

    public enum OdfFontVariantType

extends Enum<OdfFontVariantType>

DOM implementation of OpenDocument attribute fo:font-variant.

Enum Constant Summary
`NORMAL`
`SMALL_CAPS`

Method Summary
`static OdfFontVariantType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFontVariantType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFontVariantType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFontVariantType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final OdfFontVariantType NORMAL

### SMALL_CAPS

    public static final OdfFontVariantType SMALL_CAPS

Method Detail

### values

    public static OdfFontVariantType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFontVariantType c : OdfFontVariantType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFontVariantType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFontVariantType>`
  Returns:
    return the name of OdfFontVariantType

### toString

    public static String toString(OdfFontVariantType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFontVariantType, see fo:font-variant
  Returns:
    return the name of OdfFontVariantType

### enumValueOf

    public static OdfFontVariantType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFontVariantType
  Returns:
    return the constant of OdfFontVariantType, see fo:font-variant

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.